<template lang="pug">
  div(
    id="root"
    v-if="article")
    div
    div(v-if="article")
      div(id="title")
        | {{ article.title }}
      div(id="content")
        //- v-markdown(:source="source")
        | {{ article.content }}
    div
  div(
    v-else
    class="bg-text")
    | Best Reader
</template>

<script>
export default {
  computed: {
    article () {
      return this.$store.state.article
    }
  }
}
</script>

<style lang="sass" scoped>
.bg-text
  width: inherit
  overflow-y: scroll
  background-color: #ccc
  color: #666
  font-size: 8vw
  display: flex
  justify-content: center
  align-items: center

#root
  width: inherit
  display: grid
  grid-template-columns: 20% auto 20%
  padding-top: 2vw
  padding-bottom: 2vw
  overflow-y: scroll
  font-size: 1.5vw
  #title
    margin-bottom: 1vw
  #contetn
</style>
